loci.plugins.util

## Enum LibraryChecker.Library

- java.lang.Object
- - java.lang.Enum<LibraryChecker.Library>
  - - loci.plugins.util.LibraryChecker.Library

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LibraryChecker.Library>
  Enclosing class:
    LibraryChecker

      public static enum LibraryChecker.Library
      extends java.lang.Enum<LibraryChecker.Library>

  List of possible libraries for which to check.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIO_FORMATS`
    `FORMS`
    `OME_JAVA_XML`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LibraryChecker.Library` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LibraryChecker.Library[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BIO_FORMATS

          public static final LibraryChecker.Library BIO_FORMATS

    - #### OME_JAVA_XML

          public static final LibraryChecker.Library OME_JAVA_XML

    - #### FORMS

          public static final LibraryChecker.Library FORMS

  - ### Method Detail

    - #### values

          public static LibraryChecker.Library[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LibraryChecker.Library c : LibraryChecker.Library.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LibraryChecker.Library valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2026 Open Microscopy Environment